package top.dreamcenter.go.server;

import top.dreamcenter.go.msg.Cross;
import top.dreamcenter.go.msg.NewClick;

public class DataUtil {

    public static String parseData(Cross[][] map,  NewClick newClick){
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < map.length; i++) {
            for (int j = 0; j < map.length; j++) {

                int magnification = 1;

                if (i == newClick.pos.k - 1 && j == newClick.pos.v - 1) magnification = 3;

                sb.append(i).append(j);
                if (map[i][j] == Cross.NONE) {
                    sb.append(0);
                } else if (map[i][j] == Cross.BLACK) {
                    sb.append(magnification); // 1 3
                } else {
                    sb.append(magnification+1); // 2 4
                }
            }
        }


        return sb.toString();
    }

}
