package top.dreamcenter.go.server;

import top.dreamcenter.go.msg.Cross;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;

public class Server {
    public static void main(String[] args) throws IOException {
        ServerSocket serverSocket = new ServerSocket(1919);

        while (true) {
            AtomicBoolean cur = new AtomicBoolean(true); // true : black ; false : white

            System.out.println("地图初始化 ...");
            Cross[][] map = CalDataUtil.getInitMap();
            System.out.println("初始化完成");


            List<UserThread> list = new ArrayList<>();

            System.out.println("等待用户1接入 ... ");
            Socket u1 = serverSocket.accept();
            System.out.println("用户1已连接");
            UserThread u1t = new UserThread(u1, map, cur, Cross.BLACK, list);
            u1t.start();
            list.add(u1t);

            System.out.println("等待用户2接入 ... ");
            Socket u2 = serverSocket.accept();
            System.out.println("用户2已连接");
            UserThread u2t = new UserThread(u2, map, cur, Cross.WHITE, list);
            u2t.start();
            list.add(u2t);
        }
    }

}
